com.hazelcast.config

## Class PartitioningStrategyConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.PartitioningStrategyConfig
  - - com.hazelcast.config.PartitioningStrategyConfigReadOnly

- All Implemented Interfaces:
    DataSerializable, IdentifiedDataSerializable

  Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class PartitioningStrategyConfigReadOnly
      extends PartitioningStrategyConfig

  Contains the configuration for strategy of partitioning

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PartitioningStrategyConfigReadOnly(PartitioningStrategyConfig config)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `PartitioningStrategyConfig` | `setPartitioningStrategy(PartitioningStrategy partitionStrategy)` Deprecated.
    `PartitioningStrategyConfig` | `setPartitioningStrategyClass(String partitionStrategyClass)` Deprecated.
    `PartitioningStrategyConfig` | `setPartitionStrategy(PartitioningStrategy partitionStrategy)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.PartitioningStrategyConfig

      `equals, getAsReadOnly, getFactoryId, getId, getPartitioningStrategy, getPartitioningStrategyClass, hashCode, readData, toString, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitioningStrategyConfigReadOnly

          public PartitioningStrategyConfigReadOnly(PartitioningStrategyConfig config)

      Deprecated.

  - ### Method Detail

    - #### setPartitioningStrategyClass

          public PartitioningStrategyConfig setPartitioningStrategyClass(String partitionStrategyClass)

      Deprecated.
      Overrides:
        `setPartitioningStrategyClass` in class `PartitioningStrategyConfig`

    - #### setPartitionStrategy

          public PartitioningStrategyConfig setPartitionStrategy(PartitioningStrategy partitionStrategy)

      Deprecated.
      Overrides:
        `setPartitionStrategy` in class `PartitioningStrategyConfig`

    - #### setPartitioningStrategy

          public PartitioningStrategyConfig setPartitioningStrategy(PartitioningStrategy partitionStrategy)

      Deprecated.
      Overrides:
        `setPartitioningStrategy` in class `PartitioningStrategyConfig`

Copyright © 2019. All rights reserved.